#include "glass.inc"

camera {location <10, 4, 10>
     sky <0, 1, 0>
     look_at <0, 0, 0>}

light_source {<200, 100, 400> color rgb<1, 1, 1>}

#declare PVariation = 1;
#macro M_PVariation(hauteur, initial, retour)
     #declare retour = initial * sin (radians (hauteur * 180));
#end
#declare EVariation = 1;
#macro M_EVariation(hauteur, initial, retour)
     #declare retour = initial;
#end
#declare Forme = 0;
#declare Rayon = 5;
#declare Nb_Couches = 40;
#declare PMax = 80;
#declare EMax = 0.1;
#declare Offset = 0.24;
#declare Anti_Collision = 0;
#declare Rayon_Particule = 0.025;
#include "particul.inc"

// neige
object {
     Particules
     texture{
          pigment {rgb 1}
          finish{
               ambient .6      // more or less
               diffuse .2      // a bit more or less
               specular 1
               roughness .0001 // a bit more or less
               reflection .2   // maybe a bit more/don't over do it
               brilliance 1    // or more
          }
     }
}
// globe de verre
union {
     difference {
          object {Container scale <1.1, 1.1, 1.1>
               texture {T_Glass1}
               interior {I_Glass}
          }
          object {Container
               texture {T_Glass1}
               interior {I_Glass}
          }
     }
     object {Container
          pigment {color rgb<0.3, 0.4, 0.5>}
          interior {ior 1.33}
     }
}
// fond
plane {
     <0, 0, 1>, -20
     pigment {color rgb<0.6, 0.6, 1>}
}
